Skip to main content
GET
/
promotion-requests
Get promotion requests
curl --request GET \
  --url https://api.readmin.app/promotion-requests \
  --header 'loader-id: <api-key>'
{
  "success": true,
  "requests": [
    {
      "_id": "<string>",
      "groupId": "<string>",
      "targetUserId": "<string>",
      "targetUserName": "<string>",
      "currentRoleId": 123,
      "currentRoleName": "<string>",
      "requestedRoleId": 123,
      "requestedRoleName": "<string>",
      "reason": "<string>",
      "attachments": [
        "<string>"
      ],
      "requestedBy": "<string>",
      "requestedByName": "<string>",
      "votes": [
        {
          "userId": "<string>",
          "comment": "<string>",
          "attachments": [
            "<string>"
          ],
          "created": "2023-11-07T05:31:56Z"
        }
      ],
      "comments": [
        {
          "userId": "<string>",
          "message": "<string>",
          "attachments": [
            "<string>"
          ],
          "created": "2023-11-07T05:31:56Z"
        }
      ],
      "closedBy": "<string>",
      "closeComment": "<string>",
      "rankedTo": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "closedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

loader-id
string
header
required

Query Parameters

status
string

Filter by status

Response

Successful operation

success
boolean
requests
object[]